dbXML API

## com.dbxml.db.admin.xmleditor
Class XMLEditor

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JScrollPane
                      com.dbxml.db.admin.xmleditor.XMLEditor

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.ScrollPaneConstants, java.io.Serializable

Direct Known Subclasses:
  GridEditor

public class XMLEditor
extends javax.swing.JScrollPane

XMLEditor

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.ScrollPaneConstants

`COLUMN_HEADER, HORIZONTAL_SCROLLBAR, HORIZONTAL_SCROLLBAR_ALWAYS, HORIZONTAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_NEVER, HORIZONTAL_SCROLLBAR_POLICY, LOWER_LEADING_CORNER, LOWER_LEFT_CORNER, LOWER_RIGHT_CORNER, LOWER_TRAILING_CORNER, ROW_HEADER, UPPER_LEADING_CORNER, UPPER_LEFT_CORNER, UPPER_RIGHT_CORNER, UPPER_TRAILING_CORNER, VERTICAL_SCROLLBAR, VERTICAL_SCROLLBAR_ALWAYS, VERTICAL_SCROLLBAR_AS_NEEDED, VERTICAL_SCROLLBAR_NEVER, VERTICAL_SCROLLBAR_POLICY, VIEWPORT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`XMLEditor()`

Method Summary
`java.awt.Color` `getAttribColor()`
`int` `getAttribLabelSize()`
`java.awt.Color` `getCommentColor()`
`ElementContentModel` `getContentModel()`
`java.awt.Color` `getElementColor()`
`java.awt.Font` `getFont()`
`int` `getIndentSize()`
`org.w3c.dom.Node` `getNode()`
`ElementResourceMap` `getResourceMap()`
`java.awt.Color` `getTextColor()`
`boolean` `isCollapseText()`
`boolean` `isExpandable()`
`boolean` `isExpanded()`
`boolean` `isModified()`
`boolean` `isReadOnly()`
`boolean` `isShowAttribs()`
`boolean` `isShowComments()`
`boolean` `isShowRootElement()`
`void` `setAttribColor(java.awt.Color attribColor)`
`void` `setAttribLabelSize(int attribLabelSize)`
`void` `setCollapseText(boolean collapseText)`
`void` `setCommentColor(java.awt.Color commentColor)`
`void` `setContentModel(ElementContentModel contentModel)`
`void` `setElementColor(java.awt.Color elemColor)`
`void` `setExpandable(boolean expandable)`
`void` `setExpanded(boolean expanded)`
`void` `setFont(java.awt.Font font)`
`void` `setIndentSize(int indentSize)`
`void` `setModified(boolean modified)`
`void` `setNode(org.w3c.dom.Node node)`
`void` `setReadOnly(boolean readOnly)`
`void` `setResourceMap(ElementResourceMap resourceMap)`
`void` `setShowAttribs(boolean showAttribs)`
`void` `setShowComments(boolean showComments)`
`void` `setShowRootElement(boolean showRootElement)`
`void` `setSource(SourceCallback source)`
`void` `setTextColor(java.awt.Color textColor)`

Methods inherited from class javax.swing.JScrollPane

`createHorizontalScrollBar, createVerticalScrollBar, getAccessibleContext, getColumnHeader, getCorner, getHorizontalScrollBar, getHorizontalScrollBarPolicy, getRowHeader, getUI, getUIClassID, getVerticalScrollBar, getVerticalScrollBarPolicy, getViewport, getViewportBorder, getViewportBorderBounds, isValidateRoot, isWheelScrollingEnabled, setColumnHeader, setColumnHeaderView, setComponentOrientation, setCorner, setHorizontalScrollBar, setHorizontalScrollBarPolicy, setLayout, setRowHeader, setRowHeaderView, setUI, setVerticalScrollBar, setVerticalScrollBarPolicy, setViewport, setViewportBorder, setViewportView, setWheelScrollingEnabled, updateUI`

Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLEditor

    public XMLEditor()

Method Detail

### setNode

    public void setNode(org.w3c.dom.Node node)

### setSource

    public void setSource(SourceCallback source)

### setElementColor

    public void setElementColor(java.awt.Color elemColor)

### getElementColor

    public java.awt.Color getElementColor()

### getAttribColor

    public java.awt.Color getAttribColor()

### setAttribColor

    public void setAttribColor(java.awt.Color attribColor)

### getTextColor

    public java.awt.Color getTextColor()

### setTextColor

    public void setTextColor(java.awt.Color textColor)

### setContentModel

    public void setContentModel(ElementContentModel contentModel)

### getContentModel

    public ElementContentModel getContentModel()

### setResourceMap

    public void setResourceMap(ElementResourceMap resourceMap)

### getResourceMap

    public ElementResourceMap getResourceMap()

### getCommentColor

    public java.awt.Color getCommentColor()

### setCommentColor

    public void setCommentColor(java.awt.Color commentColor)

### setFont

    public void setFont(java.awt.Font font)

### getFont

    public java.awt.Font getFont()

### getNode

    public org.w3c.dom.Node getNode()

### isExpanded

    public boolean isExpanded()

### setReadOnly

    public void setReadOnly(boolean readOnly)

### isReadOnly

    public boolean isReadOnly()

### setShowRootElement

    public void setShowRootElement(boolean showRootElement)

### isShowRootElement

    public boolean isShowRootElement()

### setShowComments

    public void setShowComments(boolean showComments)

### isShowComments

    public boolean isShowComments()

### setCollapseText

    public void setCollapseText(boolean collapseText)

### isCollapseText

    public boolean isCollapseText()

### setIndentSize

    public void setIndentSize(int indentSize)

### getIndentSize

    public int getIndentSize()

### setAttribLabelSize

    public void setAttribLabelSize(int attribLabelSize)

### getAttribLabelSize

    public int getAttribLabelSize()

### setShowAttribs

    public void setShowAttribs(boolean showAttribs)

### isShowAttribs

    public boolean isShowAttribs()

### setExpanded

    public void setExpanded(boolean expanded)

### isExpandable

    public boolean isExpandable()

### setExpandable

    public void setExpandable(boolean expandable)

### isModified

    public boolean isModified()

### setModified

    public void setModified(boolean modified)

dbXML API

Copyright (c) 2004 The dbXML Group